# TextRecogniserDemo

> A quick demo of `Microsoft.Recognizers.Text`.

Written for a blog post (link coming soon!).

## Getting Started

### In Visual Studio / MonoDevelop / etc.
Open the `.sln` file in Visual Studio and hit the _start_ button. It should automatically download and install the dependencies from NuGet. You may need to accept some license agreements.

### In the terminal / command line
Navigate to root of this repository in your terminal or command line (if on Windows, ensure it's a _Visual Studio Developer Tools Prompt_ or the like), and run `msbuild`:

```bash
msbuild
```

Once done, the output binary should be located in `TextRecogniserDemo/bin/Debug`. Navigate to that directory and run it:

```bash
# On Linux:
mono ./TextRecogniserDemo.exe
# On Windows:
TextRecogniserDemo.exe
```

## Contributing
This project is meant as a demo - and as such as a starting point for your own code. If you find a bug, however, I'm happy to take a look (or, even better [send a patch](https://stackoverflow.com/a/15438863/1460422) and send it my way - my contact details can be found on [my website](https://starbeamrainbowlabs.com/)).

Please remember to state in your email / message / etc to state that you release your patch under the licence below :-)

## Licence
The code in this repository is licenced under the _MIT License_ - the text of which is located in the [LICENSE](https://git.starbeamrainbowlabs.com/Demos/TextRecogniserDemo/src/branch/master/LICENSE) file in this repository. tl;drLegal have a [summary](https://tldrlegal.com/license/mit-license) if you don't want to read the full text :P